Bug 611850 - fix coverity Defect Type: Error handling issues
Summary: fix coverity Defect Type: Error handling issues
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server   
(Show other bugs)
Version: 1.2.7
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 389_1.2.7 639035
TreeView+ depends on / blocked
 
Reported: 2010-07-06 16:47 UTC by Rich Megginson
Modified: 2015-01-04 23:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Bug-611850-fix-coverity-Defect-Type-Error-handli.patch (13.70 KB, patch)
2010-07-06 22:48 UTC, Rich Megginson
nhosoi: review+
Details | Diff

Description Rich Megginson 2010-07-06 16:47:29 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Rich Megginson 2010-07-06 22:48:18 UTC
Created attachment 429926 [details]
0001-Bug-611850-fix-coverity-Defect-Type-Error-handli.patch

Comment 3 Rich Megginson 2010-07-06 23:42:04 UTC
To ssh://git.fedorahosted.org/git/389/ds.git
   7a9c069..85eb921  master -> master
commit 85eb9216d5d4163139a90432084452cf81c8444e
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Tue Jul 6 16:47:45 2010 -0600
    Reviewed by: nhosoi (Thanks!)
    Branch: HEAD
    Fix Description: Check the error return from the functions.  In some cases,
    I was able to figure out that the calling function should perform additional
    error handling (return early, goto error label), but in general the code
    just logs an appropriate error message and continues.  I was able to get
    rid of some more libacl code.  I removed an unused variable from modify.c
    Platforms tested: RHEL5 x86_64
    Flag Day: no
    Doc impact: no


Note You need to log in before you can comment on or make changes to this bug.